## Bsoft program

# bfcc

### Usage: bfcc [options] input.img/input.star output.img

Fast cross-correlation for the best fit of a 3D map to a template.
Modes: Global: Search an asymmetric unit with a fixed angular step size. Directional: Do a search around a view within an angular distance (-limit option). Refine: Refine iteratively around a view to some accuracy (-accuracy option). Symmetry: Search all symmetry-related views using a given view. For modes other than global, the view is taken from the command line (-View option), or from the parameter file, or as a last resort from the image header. If a parameter file is used as input, the input image is selected based on the reconstruction ID and the particle image number. Only one image in a multi-image file will be used (see -image option). The output file contains the transformed map only if the input is an image (i.e., not a parameter file).

### Output of the transformed map or template can be specified with the

| -particle and -newtemplate options.

### Actions:

-global | Global search before other modes.
-mode refine | Local modes: directional, refine or symmetric.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; default from input file; a single value can be given).
-origin 110,50,44 | Template image origin (default taken from template file).
-partorigin 50,80,47 | Particle image origin (default taken from particle file).
-kernel 6,2 | Kernel for reciprocal space interpolation: size and power.
-resolution 15.6,200 | Resolution limits for cross-correlation (default 0).
-shiftlimit 5.2 | Radial limit to search for shift in cross-correlation map (default 1/4 of map).

### Selections:

-setsequential | Set particle selection numbers sequentially.
-recid A435 | The 3D reconstruction ID (should correspond to that in the parameter file).
-image 2 | Image number in a multi-image file or particle number (default 1=first image).
-select 5 | Particle selection number in parameter file (default not used).
| View parameters:
-angles 8.8,2.5,5.2 | Step size for alpha, theta and phi, one value sets all (default 45 degrees).
-side 15 | Generate side view projections within the given angle from the equator.

### Parameters for the global and symmetric modes:

-symmetry D6 | Symmetry: Point group identifier.

### Parameters for the directional and refinement modes:

-View 0.3,-0.5,0.8,33 | View to initiate search: vector {xyz} and angle.

### Parameters for the directional mode:

-limit 17.5 | Radial limit around given view (default 20 degrees).

### Parameters for the refinement mode:

-accuracy 0.3 | Accuracy (default 0.5 degrees).

### Input:

-Template image.map | Template to search for.
-Mask mask.tif | Mask in reciprocal space to apply during cross-correlation.

### Output:

-output file.star | Parameter output file with best orientation.
-particle newpart.pif | New transformed particle file.
-newtemplate newtemp.pif | New transformed template file.

Bsoft version 2.0.3-20180917 (64 bit)